<?php
define('NTLCMS', 1);
$module = 'money';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница рейтинга по балансу - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if ($_USER['balans'] >= $set['mincost']){
$pay = '<i class="fa fa-rub fa-fw"></i>';
}
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Рейтинг по балансу</b></div>';
$k_post = DB :: run() -> querySingle("select count(`id`) from `users` where `balans` <> '0'");		
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select (`login`), (`balans`) from `users` where `balans` <> '' and `id` <> '0' order by `balans` desc limit ".$start.", ".$onpage);
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Рейтинг по балансу пуст!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">'.ava($row -> login).' '.login($row -> login, 1).' <span class="count">'.money(round($row -> balans, 3)).' '.$pay.'</span></div>';
}
if ($k_page > 1) navigation(URL.'/rate_money?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/rate">Рейтинги клуба</a></div>';
include ('../system/foot.php');
?>